PSOC E8XXGP Device Support Library

| PSOC E8XXGP Device Support Library

Data Fields
mtb_hal_spi_t Struct Reference

## Description

SPI object.

Application code should not rely on the specific contents of this struct. They are considered an implementation detail which is subject to change between platforms and/or HAL releases.

## Data Fields
CySCB_Type * | base
| Base address for the SCB.
const mtb_hal_clock_t * | clock
| Clock interface.
cy_stc_scb_spi_context_t * | context
| PDL context.
uint16_t volatile | pending
| Flags for pending operations.
bool | is_target
| Configured as target.
uint8_t | data_bits
| Width of data bus.
uint32_t | irq_cause
| User-enabled events.
uint8_t | write_fill
| Placeholder value when reading more than writing.
void * | rx_buffer
| Buffer for read operations.
uint32_t | rx_buffer_size
| Size of read buffer.
const void * | tx_buffer
| Buffer for write operations.
uint32_t | tx_buffer_size
| Size of write buffer.
bool | is_async
| Is an async operation in progress.
_mtb_hal_event_callback_data_t | callback_data
| User-registered callback.

## Field Documentation

## ◆ base

CySCB_Type* mtb_hal_spi_t::base

Base address for the SCB.

## ◆ clock

const mtb_hal_clock_t* mtb_hal_spi_t::clock

Clock interface.

## ◆ context

cy_stc_scb_spi_context_t* mtb_hal_spi_t::context

PDL context.

## ◆ pending

uint16_t volatile mtb_hal_spi_t::pending

Flags for pending operations.

## ◆ is_target

bool mtb_hal_spi_t::is_target

Configured as target.

## ◆ data_bits

uint8_t mtb_hal_spi_t::data_bits

Width of data bus.

## ◆ irq_cause

uint32_t mtb_hal_spi_t::irq_cause

User-enabled events.

## ◆ write_fill

uint8_t mtb_hal_spi_t::write_fill

Placeholder value when reading more than writing.

## ◆ rx_buffer

void* mtb_hal_spi_t::rx_buffer

Buffer for read operations.

## ◆ rx_buffer_size

uint32_t mtb_hal_spi_t::rx_buffer_size

Size of read buffer.

## ◆ tx_buffer

const void* mtb_hal_spi_t::tx_buffer

Buffer for write operations.

## ◆ tx_buffer_size

uint32_t mtb_hal_spi_t::tx_buffer_size

Size of write buffer.

## ◆ is_async

bool mtb_hal_spi_t::is_async

Is an async operation in progress.

## ◆ callback_data

_mtb_hal_event_callback_data_t mtb_hal_spi_t::callback_data

User-registered callback.